Get a jail template
GET
/jail/templates/{templateId}
const url = 'https://sylve.lan:8181/api/jail/templates/1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/jail/templates/1 \ --header 'Authorization: <Authorization>'Retrieve a jail template by its template ID
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”templateId
required
integer
Jail Template ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
additionalOptions
string
allowedOptions
Array<string>
cleanEnvironment
boolean
cores
integer
createdAt
string
devfsRuleset
string
execTimeout
integer
fstab
string
hooks
Array<object>
object
enabled
boolean
phase
string
script
string
id
integer
inheritIPv4
boolean
inheritIPv6
boolean
memory
integer
metadataEnv
string
metadataMeta
string
name
string
networks
Array<object>
object
defaultGateway
boolean
dhcp
boolean
name
string
slaac
boolean
switchId
integer
switchType
string
vlanPolicy
object
mode
string
taggedVlans
Array<integer>
untaggedVlan
integer
pool
string
resolvConf
string
resourceLimits
boolean
rootDataset
string
sourceJailCtid
integer
sourceJailName
string
type
string
updatedAt
string
wol
boolean
error
string
message
string
status
string
Example
{ "data": { "hooks": [ { "phase": "prestart" } ], "type": "freebsd" }}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}